## org.eclipse.datatools.modelbase.sql.xml.query
Class XMLEmptyHandlingType

    java.lang.Object
      AbstractEnumerator
          org.eclipse.datatools.modelbase.sql.xml.query.XMLEmptyHandlingType

    public final class XMLEmptyHandlingType

extends AbstractEnumerator

A representation of the literals of the enumeration 'XML Empty Handling Type', and utility methods for working with them.

See Also:
  `SQLXMLQueryModelPackage.getXMLEmptyHandlingType()`

Field Summary
`static int` `EMPTY_ON_EMPTY` The 'EMPTY ON EMPTY' literal value.
`static XMLEmptyHandlingType` `EMPTY_ON_EMPTY_LITERAL` The 'EMPTY ON EMPTY' literal object.
`static int` `NONE` The 'NONE' literal value.
`static XMLEmptyHandlingType` `NONE_LITERAL` The 'NONE' literal object.
`static int` `NULL_ON_EMPTY` The 'NULL ON EMPTY' literal value.
`static XMLEmptyHandlingType` `NULL_ON_EMPTY_LITERAL` The 'NULL ON EMPTY' literal object.
`static java.util.List` `VALUES` A public read-only list of all the 'XML Empty Handling Type' enumerators.

Method Summary
`static XMLEmptyHandlingType` `get(int value)` Returns the 'XML Empty Handling Type' literal with the specified integer value.
`static XMLEmptyHandlingType` `get(java.lang.String literal)` Returns the 'XML Empty Handling Type' literal with the specified literal value.
`static XMLEmptyHandlingType` `getByName(java.lang.String name)` Returns the 'XML Empty Handling Type' literal with the specified name.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EMPTY_ON_EMPTY

    public static final int EMPTY_ON_EMPTY

  The 'EMPTY ON EMPTY' literal value.

  See Also:
    `EMPTY_ON_EMPTY_LITERAL`, Constant Field Values

### NULL_ON_EMPTY

    public static final int NULL_ON_EMPTY

  The 'NULL ON EMPTY' literal value.

  See Also:
    `NULL_ON_EMPTY_LITERAL`, Constant Field Values

### NONE

    public static final int NONE

  The 'NONE' literal value.

  See Also:
    `NONE_LITERAL`, Constant Field Values

### EMPTY_ON_EMPTY_LITERAL

    public static final XMLEmptyHandlingType EMPTY_ON_EMPTY_LITERAL

  The 'EMPTY ON EMPTY' literal object.

  If the meaning of 'EMPTY ON EMPTY' literal object isn't clear, there really should be more of a description here...

  See Also:
    `EMPTY_ON_EMPTY`

### NULL_ON_EMPTY_LITERAL

    public static final XMLEmptyHandlingType NULL_ON_EMPTY_LITERAL

  The 'NULL ON EMPTY' literal object.

  If the meaning of 'NULL ON EMPTY' literal object isn't clear, there really should be more of a description here...

  See Also:
    `NULL_ON_EMPTY`

### NONE_LITERAL

    public static final XMLEmptyHandlingType NONE_LITERAL

  The 'NONE' literal object.

  If the meaning of 'NONE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `NONE`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'XML Empty Handling Type' enumerators.

Method Detail

### get

    public static XMLEmptyHandlingType get(java.lang.String literal)

  Returns the 'XML Empty Handling Type' literal with the specified literal value.

### getByName

    public static XMLEmptyHandlingType getByName(java.lang.String name)

  Returns the 'XML Empty Handling Type' literal with the specified name.

### get

    public static XMLEmptyHandlingType get(int value)

  Returns the 'XML Empty Handling Type' literal with the specified integer value.

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.